/*
 *  Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.synapse.util.streaming_xpath.custom.components;

import org.apache.axiom.om.OMElement;

import java.util.HashMap;

public abstract class ParserComponent {
    protected static HashMap<String, String> prefixNameSpaceMap = new HashMap<String, String>();

    public static HashMap<String, String> getPrefixNameSpaceMap() {
        return prefixNameSpaceMap;
    }

    public static void setPrefixNameSpaceMap(HashMap<String, String> prefixNameSpaceMap) {
        ParserComponent.prefixNameSpaceMap = prefixNameSpaceMap;
    }

    public static void addToNameSpaceMap(String prefix, String nameSpace) {
        prefixNameSpaceMap.put(prefix, nameSpace);
    }

    public abstract String process(OMElement nodes);

    public abstract void setNext(ParserComponent parserComponent);

    public abstract ParserComponent getNext();

}
